/***************************************************************************
             htl_registry.cpp  -  hplot callbacks registration
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Soloviev Alexei,JINR,LIT-303,64713
    email                : solovjev@cv.jinr.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "htl_plot.h"

#include <GL/glut.h>

void htl::hplot::_init()
{
  static int argc = 1;
  static char * argv[] = {PACKAGE};
  glutInit ( &argc, argv );
}

map<int,htl::hplot*> htl::hplot::_registry;

void htl::hplot::_display ()
{
  _registry[glutGetWindow()]->display();
}

void htl::hplot::_keyboard ( unsigned char key, int x, int y )
{
  _registry[glutGetWindow()]->keyboard(key,x,y);
}

void htl::hplot::_mouse ( int button, int state, int x, int y )
{
  _registry[glutGetWindow()]->mouse(button,state,x,y);
}

void htl::hplot::_motion ( int x, int y )
{
  _registry[glutGetWindow()]->motion(x,y);
}

void htl::hplot::_menu ( int option )
{
  _registry[glutGetWindow()]->menu(option);
}

